#
# spec file for package scim-pinyin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-pinyin
Version:        0.5.92
Release:        8.54
Summary:        Smart pinyin IM engine for SCIM platform
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/scim-im/scim-pinyin
Source:         https://github.com/scim-im/%{name}/archive/%{name}-%{version}/%{name}-%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconf-pkg-config
BuildRequires:  scim-devel
Obsoletes:      %{name}-skim <= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Smart pinyin IM engine for SCIM platform.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
./bootstrap
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%configure --disable-static \
	   --enable-debug \
	   --disable-skim-support \
	   --enable-tools
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang scim-pinyin

%files -f scim-pinyin.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_scim_enginedir}/pinyin.so
%if 0%{?suse_version} >= 1310
%{_scim_uidir}/pinyin-imengine-setup.so
%endif
%dir %{_scim_datadir}/pinyin/
%{_scim_datadir}/pinyin/phrase_lib
%{_scim_datadir}/pinyin/pinyin_phrase_index
%{_scim_datadir}/pinyin/pinyin_phrase_lib
%{_scim_datadir}/pinyin/pinyin_table
%{_scim_datadir}/pinyin/special_table
%{_scim_icondir}/smart-pinyin.png

%changelog
* Sat Sep 12 2015 i@marguerite.su
- do not build with skim, which is dead
- remove scim-chinese Provides/Obsoletes, no package required it
- remove PreReq, useless
- remove gconf schemas install bits, useless
- obsoletes the removed subpackage
* Wed Sep 12 2012 hillwood@linuxfans.org
- update to 0.5.92, fixed gtk3 build by upstream.
- remove old patches: these bugs which fixed by these patches have been
  fixed by upstream.
* Tue Jun 12 2012 tiwai@suse.de
- Remove locale provides for avoiding automatic installation
- Disable gtk3-migration patches temporarily (can be enabled by
  defining scim_gtk3=1)
* Thu Jun  7 2012 swyear@gmail.com
- remove "Provides: locale(scim:zh)" from spec
* Tue Jun  5 2012 i@marguerite.su
- fix openSUSE builds.
  * add gtktooltips patch to migrate it to gtk > 2.12.
* Tue Apr 20 2010 tiwai@suse.de
- disabled build with skim for openSUSE-11.3
* Tue Feb 23 2010 coolo@novell.com
- do not bootstrap with random tools, but provide configure as
  patch
* Fri Jan 11 2008 pwu@suse.de
- fix bug #352838, recover from corrupt scim-pinyin data files.
* Thu Nov  8 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Tue Apr 24 2007 mfabian@suse.de
- add "BuildRequires: unsermake" for SUSE Linux 10.0.
* Wed Oct 11 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Wed Jul  5 2006 mfabian@suse.de
- update to 0.5.91.20060705
  (fix-include-hints.diff is now included).
- fix build for autoconf 2.60.
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides:     locale(skim:zh)" to scim-pinyin-skim sub-
  package.
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides:     locale(scim:zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 stbinner@suse.de
- remove unintended char in patch
* Wed Oct 12 2005 stbinner@suse.de
- fix wrong include hints for compilation against Qt 3.3.5
* Mon Aug 15 2005 mfabian@suse.de
- update to scim-pinyin-0.5.91.20050815 to fix a bug which
  makes it impossible to switch beteen input modes.
* Thu Aug 11 2005 mfabian@suse.de
- update to current cvs HEAD and remove workaround for wrong prefix
  from .spec file.
* Wed Aug 10 2005 mfabian@suse.de
- update to 0.5.90.20050808.
- new sub-package scim-pinyin-skim.
* Thu Aug  4 2005 mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Tue Aug  2 2005 aj@suse.de
- Adjust neededforbuild.
* Thu Jul 28 2005 mfabian@suse.de
- use "make install" instead of "make install-strip" otherwise
  the scim-pinyin-debuginfo package will be empty.
- use RPM_OPT_FLAGS.
* Fri Apr 15 2005 mfabian@suse.de
- make it build with gcc4.
* Tue Feb 15 2005 mfabian@suse.de
- update to 0.5.0.20050215 (Italian translations are available
  now).
* Mon Jan 10 2005 mfabian@suse.de
- update to 0.5.0.20050110 (during this update, the package
  has been renamed from scim-chinese to scim-pinyin).
* Fri Aug 13 2004 mfabian@suse.de
- update to 0.4.1.
* Thu Aug  5 2004 mfabian@suse.de
- update to 0.4.0.
* Tue Apr 27 2004 mfabian@suse.de
- create SuSE package (version 0.3.0).
* Mon Apr 26 2004 James Su <suzhe@tsinghua.org.cn>
- change the license to GPL.
* Thu Jun 19 2003 James Su <suzhe@tsinghua.org.cn>
- updated to include setup module.
* Thu May 22 2003 James Su <suzhe@tsinghua.org.cn>
- upto v0.2.1
* Mon Mar 31 2003 James Su <suzhe@tsinghua.org.cn>
- upto v0.2.0
* Sun Jul  7 2002 James Su <suzhe@tsinghua.org.cn>
- first public release of SCIM-chinese.
